Page MenuHomeVyOS Platform

multiply PBR rules can set to a single interface
Closed, ResolvedPublicFEATURE REQUEST

Description

Hi, All
I want to replace pfsense with vyos . But i met a problems that is PBR routing.
I can setting ip range with firewall group, I can set PBR with ip range to a wan interface, But only set one rule to a single interface.
Is that possible to set multiply rule on a sing wan interface ?

Your Sincerely!
Steve Dong

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

dongjunbo renamed this task from PBR base wan ip range to multiply PBR rules can set to a single interface.Feb 15 2019, 7:15 AM
dongjunbo created this task.
dongjunbo updated the task description. (Show Details)
pasik added a subscriber: pasik.Mar 12 2019, 6:06 PM

@dongjunbo Can you send an example?

Viacheslav closed this task as Resolved.Jul 27 2020, 2:40 PM
Viacheslav claimed this task.
set policy route PBR rule 10 destination address '10.0.0.1'
set policy route PBR rule 10 set table '10'
set policy route PBR rule 10 source address '100.64.0.1'
set policy route PBR rule 20 destination address '10.0.0.2'
set policy route PBR rule 20 set table '20'
set policy route PBR rule 20 source address '100.64.0.1'

I'll mark it as resolved. Reopen it if necessary. Or provide an example, what you expect.

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 3:26 PM